/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<audiosettings.h>)
#  include <audiosettings.h>
#endif
#if __has_include(<generalsettings.h>)
#  include <generalsettings.h>
#endif
#if __has_include(<informationsettings.h>)
#  include <informationsettings.h>
#endif
#if __has_include(<mousesettings.h>)
#  include <mousesettings.h>
#endif
#if __has_include(<playbacksettings.h>)
#  include <playbacksettings.h>
#endif
#if __has_include(<playlistsettings.h>)
#  include <playlistsettings.h>
#endif
#if __has_include(<subtitlessettings.h>)
#  include <subtitlessettings.h>
#endif
#if __has_include(<videosettings.h>)
#  include <videosettings.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_haruna_settings()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<AudioSettings>("org.kde.haruna.settings", 1);
    qmlRegisterTypesAndRevisions<GeneralSettings>("org.kde.haruna.settings", 1);
    qmlRegisterTypesAndRevisions<InformationSettings>("org.kde.haruna.settings", 1);
    qmlRegisterTypesAndRevisions<MouseSettings>("org.kde.haruna.settings", 1);
    qmlRegisterTypesAndRevisions<PlaybackSettings>("org.kde.haruna.settings", 1);
    qmlRegisterTypesAndRevisions<PlaylistSettings>("org.kde.haruna.settings", 1);
    qmlRegisterTypesAndRevisions<SubtitlesSettings>("org.kde.haruna.settings", 1);
    qmlRegisterTypesAndRevisions<VideoSettings>("org.kde.haruna.settings", 1);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.haruna.settings", 1, 0);
}

static const QQmlModuleRegistration orgkdeharunasettingsRegistration("org.kde.haruna.settings", qml_register_types_org_kde_haruna_settings);
